petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecSetBlockSize

Sets the blocksize for future calls to VecSetValuesBlocked() and VecSetValuesBlockedLocal().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetBlockSize(Vec v,PetscInt bs)

Logically Collective on Vec

### Input Parameter

| v | - the vector
| bs | - the blocksize

### Notes

All vectors obtained by VecDuplicate() inherit the same blocksize.

### See Also

VecSetValuesBlocked(), VecSetLocalToGlobalMapping(), VecGetBlockSize()

Level:advanced
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex12.c.html
src/vec/vec/examples/tutorials/ex16.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex11f.F.html
src/ksp/ksp/examples/tutorials/ex56.c.html